{ lib, config, ... }:

lib.mkIf (lib.elem "pipewire" config.machine.services) {
  hardware.pulseaudio.enable = lib.mkForce false;
  services.pipewire = {
    enable = true;
    wireplumber.enable = true;
    audio.enable = true;
    alsa.enable = true;
    pulse.enable = true;
    jack.enable = true;
  };
}
